# Error Messages
BASE_ERROR = 'An Error has occured'
CLUSTER_ERROR = 'Cluster Error has occured'
DATABASEENTRYERROR = 'There is a DatabaseEntryError'
DELETED = '{} is deleted'
DYNAMO_DB_OP_ERR = 'Dynamo DB operational error has occured'
EMAIL_ERROR = 'There is an error message in Sending Email'
EMPTY_PAYLOAD = 'Empty Payload'
ERROR = 'Error_Response'
GOOGLE_SHEET_ERROR = 'There is an error in creating Google sheet'
HTTP_ERROR = 'Internal server'
INVALID_BUCKET = 'Invalid S3 bucket name'
INVALID_EXPORT_STATE = 'Invalid export state specified'
INVALID_EXPORT_WF_ID = 'Invalid export workflow ID'
INVALID_IMPORT_ID = 'Invalid Import ID specified'
INVALID_INPUT = 'There is a InvalidInputError'
INVALID_PAYLOAD = 'Invalid payload Error'
NO_TOOL_NAME_IN_INPUT = 'No tool name mentioned'
INVALID_PAYLOAD_PARAMETER = 'Payload Parameter Invalid'
INVALID_RUN = 'Invalid Run ID specified'
ITERATION_CREATION_ERROR = 'error while creating the iteration '
METHOD_NOT_FOUND = 'Method Not Found'
MISMATCH_TYPE = 'Type is not same'
NOT_FOUND = 'Not Found'
NOT_PERFORMED = 'Operation not Performed'
NOT_PERFORMED_ERROR = '{} operation Not Performed Successfully'
ONLY_DEFAULT_IMPORT_ALLOWED = 'Only default import workflows are allowed as of now'
PAYLOAD_NOT_SPEC = '{} not specified in the payload'
RESPONSE_TOO_BIG = 'Response payload size too large'
PROJECT_DELETED = 'project deleted'
PROJECT_NOT_ACTIVE = 'project archived or deactivated'
PROJECT_NOT_FOUND = 'Project ID not found'
RESOURCE_NOT_FOUND = '{} Not Found'
RESPONSE_ERROR = 'Error in response'
RUN_ERROR = 'There is an error in Accessing the Run'
RUN_NOT_FOUND = 'Run ID not found'
S3_ERR = "An S3 operational error has occured"
S3ERROR = 'There is an error message from S3 Operations'
SOME_ERROR = 'Some error has occured'
SQS_ERROR = 'There is some problem in adding task to the queue'
UNZIP_ERROR = "Error in extracting packages"
WF_ERROR = 'There is an error in Accessing the Run'
WFR_DELETED = 'wf-request deleted'
LICENSE_EXPIRED = 'Your license has expired'


# Error Codes
err_BaseExceptionError_code = "BaseExceptionError"
err_InvalidInputError_code = "InvalidInputError"
err_Wrong_WorkflowRequest_code = "WrongWorkflowRequest"
err_HTTPError_code = "HTTPError"
err_DatabaseEntryError_code = "DatabaseEntryError"
err_DynamoDBError_code = "DynamoDBError"
err_EmailError_code = "EmailError"
err_SQSError_code = "SQSError"
err_RunNotActiveError_code = "RunNotActiveError"
err_WorkflowRequestNotActiveError_code = "WorkflowRequestNotActiveError"
err_OperationNotPerformedError_code = "OperationNotPerformedError"
err_S3OperationError_code = "S3OperationError"
err_SigningError_code = "SigningError"
err_ClusterError_code = "ClusterError"
err_GoogleSheetNotCreateError_code = "GoogleSheetNotCreateError"
err_PayloadValidationError_code = "PayloadValidationError"
err_EmptyPayloadError_code = "EmptyPayloadError"
err_ResponseError_code = "ResponseError"
err_ResourceNotFoundError_code = "ResourceNotFoundError"
err_NotFoundError_code = "NotFoundError"
err_ProjectNotActiveException_code = "ProjectNotActiveException"
err_ProjectNotActiveError_code = "ProjectNotActiveError"
err_WorkflowRequestNotActiveException_code = "WorkflowRequestNotActiveException"
err_MethodNotDefined_code = "MethodNotDefined"
err_LicenseExpiredError_code = "LicenseExpiredError"
COMPONENT_RESTRICTED = 'The component you are trying to access is restricted in your license'
WORKFLOW_RESTRICTED = 'The workflow you are trying to access is restricted in your license'
COMPONENT_RESTRICTED = 'Your license does not have access to this Application'
WORKFLOW_RESTRICTED = 'Your license does not have access to this Workflow'
